post
https://api.lucid.co/v1/documents/copy
Copies one of the requesting user's existing documents, with the specified title. Requires title and template (the ID of the document to copy). Optionally, a parent folder can be provided. Note that collaborator permissions are not transferred to the copied document.
This endpoint can only create a new Lucidchart or Lucidspark document. It cannot modify an existing document's contents.
Document Creation LocationWhen there is no
parentfield on the request, the new document will be created in a default location depending on the authorizing token's scopes.
- If the token authorizing the request uses one of the
document.appscopes, then the document will be created in anapp-specific folder.- If one of the
document.contentscopes is used, the document will be created in the user's 'My Documents folder'.- If both types of scopes are authorized on the token, the
document.contentbehavior will take priority and the document will be created in the user's 'My Documents' folder.
Valid Authentication Methods
API Key Grants:
DocumentEdit
OAuth 2.0 User Token Scopes:
lucidchart.document.contentlucidchart.document.app.folderlucidspark.document.contentlucidspark.document.app.folder
403Forbidden.
- if the user doesn't have access to or permissions to create within the specified parent folder.
- if the user doesn't have permissions to access the specified template to copy from.
- if the token authorizing the request has the document.app scope with a specified parent folder that is outside the app folder's folder tree.